/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * File: cfgmgr_cksum.h
 *
 * Created: Wed Aug 14 18:25:30 2002
 *
 * $Id: cksum.h 1.1 2003/12/10 09:56:37Z mpommerenke Exp $
 */

#ifndef CFGMGR_CKSUM_H
#define CFGMGR_CKSUM_H

#include <inttypes.h>
#include <stdio.h>
#include <errno.h>

int cs_is_tagged(FILE*);
unsigned long cs_read_sum(FILE*);
int cs_calc_sum(FILE*, unsigned long*, int);
int cs_set_sum(FILE*, unsigned long, int);
void cs_get_sum(FILE*, unsigned long*);
unsigned long cs_calc_buf_sum(char*, int);

#endif
